<!doctype html>
<html lang=fr>
<?php									
	session_start(); // On récupére les données de la session
	if (!isset($_SESSION['Autorisation']) or ($_SESSION['Autorisation'] !=2) )
	{
		header("Location: index.php"); // Si l'acteur de la session n'est pas un admin on retourne à l'accueil'
		exit();
	}
	?>

	<head>
		<title>Ajout/Modif Etablissement</title>
		<meta charset=utf-8> 
		<meta name=viewport content="width=device-width, initial-scale=1">
		<link rel="stylesheet" href="nogstyle.css">		
	</head>
	
	<body>
		<header>
			<?php 
				include('includes/header_simple.inc'); 
				echo'<h3>'.$_SESSION['PrenomAct'].' '.$_SESSION['NomAct'].' '.$_SESSION['NomEtab'].'</h3>';
				include('includes/menu_admin.inc'); 
			?>
		</header>
		
		<article>
			<h3>Ajout/Modif Etablissement</h3>	
	
			<?php
				require ('connect/mysqli_connect.php'); // recup connection
				if (($_SERVER['REQUEST_METHOD'] == 'GET') and ( isset($_GET['id'])))
				{
					// On vient de la page admin accueil Etab
					$id = $_GET['id'];
					
					if ($id=="ajout")  // AJout Etab
					{
						// Le formulaire est vide
						$codeEtab='';
						$nomEtab ='';
						$nomcontactEtab='';
						$mailContactetab='';
						$adresseEtab='';
						$cpEtab='';
						$VilleEtab='';
						
					}
					else	//Modif etab 	
					{

						// Select Etab à MODIFIER
						$q = "SELECT * FROM etablissement WHERE codeEtab= '$id';";	
						$result = mysqli_query ($dbcon, $q) or die ("erreur sql");
						// Check the result:
						$r=@mysqli_num_rows($result);   // on compte le nombre de ligne (en théorie 1)
						if ($r == 1)
						{     //On récupère les valeurs du SELECT dans un tableau $row	 
							$row = mysqli_fetch_array ($result, MYSQLI_ASSOC);	
							$codeEtab=$row['codeEtab'];
							$nomEtab =$row['nomEtab'];
							$nomcontactEtab=$row['nomcontactEtab'];
							$mailContactetab=$row['mailContactetab'];
							$adresseEtab=$row['adresseEtab'];
							$cpEtab=$row['cpEtab'];
							$VilleEtab=$row['VilleEtab'];
						}
						else
						{
							echo 'erreur SQL PASWNORMAL';
						}
					}
				}	
				elseif ($_SERVER['REQUEST_METHOD'] == 'POST')
				{
					// A partir du Formulaire
					// Récup données rentrées ds le formulaire" mb_strtoupper
					$codeEtab =mb_strtoupper(mysqli_real_escape_string($dbcon, trim($_POST['codeEtab'])));
					$nomEtab =mb_strtoupper(mysqli_real_escape_string($dbcon, trim($_POST['nomEtab'])));
					$nomcontactEtab=mysqli_real_escape_string($dbcon, trim($_POST['nomcontact']));
					$mailContactetab=mysqli_real_escape_string($dbcon, trim($_POST['mailcontact']));
					$adresseEtab=mysqli_real_escape_string($dbcon, trim($_POST['adresse']));
					$cpEtab=mysqli_real_escape_string($dbcon, trim($_POST['cp']));
					$VilleEtab=mysqli_real_escape_string($dbcon, trim($_POST['ville']));
					$DateEnr=date("Y/m/d");
					$id= mysqli_real_escape_string($dbcon, trim($_POST['id']));;
					
					// Vérif données
					$errors = array();
					
					// Controle identifiant	lors d'un INSERT INTO'
					if ($id=="ajout") //on ne peut pas avoir 2 codes identiques	
					{
						if(!preg_match('/^[A-Z0-9._-]{5,30}$/',$codeEtab)) 
						{
							$errors[] = ' Le code Etablissement est incorrect (de 5 à 30 caractères en Majuscule sans espaces) : '.$codeEtab;
						}
						else    // -- Identifiant déjà utilisé ??? 
						{
							$q = "SELECT codeEtab FROM etablissement WHERE codeEtab = '$codeEtab' ";//Recherche des lignes avec le même identifiant 
							$result = mysqli_query($dbcon, $q) or die ('Erreur SQL');
							if (mysqli_num_rows($result) != 0) // -- Identifiant déjà utilisé
							{
								$errors[] = ' Cet identifiant est utilisé par quelqu\'un d\'autre : '.$codeEtab;
							}
						}
					}
					
					

					if (empty($nomEtab))
					{
						$errors[] ='Le nom est vide';
					}
				
					if (!empty($errors))
					{
						// Display the errors
						echo '<p class="alert erreur "> ERREURS !! Pas de modifications : : <br />';
						foreach ($errors as $msg)
						{ // Echo each error.
							echo " - $msg<br />\n";
							echo'</p>';
						}
					 // End of if (empty($errors))section.
					}
					else // si pas d'erreurs on met à jour la Bdd'	
					{
						if ($id=="ajout") //On crée un nouvel établissement
						{
							
							$q = "INSERT INTO etablissement(codeEtab, nomEtab, nomcontactEtab, mailContactetab,adresseEtab,cpEtab, VilleEtab, DateEnr)
							VALUES ('$codeEtab','$nomEtab','$nomcontactEtab','$mailContactetab','$adresseEtab','$cpEtab','$VilleEtab','$DateEnr');";								
						}
						else
						{
							$q = "UPDATE etablissement SET nomEtab='$nomEtab', nomcontactEtab='$nomcontactEtab', mailContactetab='$mailContactetab',adresseEtab='$adresseEtab',cpEtab='$cpEtab', VilleEtab='$VilleEtab', DateEnr='$DateEnr' WHERE codeEtab='$codeEtab'";
						}
						
						$result = @mysqli_query ($dbcon, $q) or die ('erruer SQLLL : <br/>'.$q);
						if (mysqli_affected_rows($dbcon) == 1) // If it ran OK
						{
							
							echo '<p class="alert succes">Mise à jour effectuée &nbsp;&nbsp;';
							echo'<a class="bouton10 "href="admin_accueil.php?" >OK</a></p>';
							exit;			
							// retour vers Prof ou admin accueil
						}			
						else 
						{ 
							echo '<div id="zone_alerte"><p class="alert erreur">Aucune modif réalisée</p></div>'; // Echo a message if the query failed
							// Error message
						}
					}
				}	
				else 
				{
			 		// If no valid ID, stop the script
					echo '<p class="alert echec">Cette page a été chargéee par erreur.</p>';
					exit;
				}
			?>		
				
			<!--Création formulaire-->
			<form class="centre80" action="<?php echo($_SERVER['PHP_SELF']); ?>" method="post">

				<!-- récup de l'Id et de la date d'enr -->
				<input type="hidden" name="id" value= <?php echo $id ?> >
				<input type="hidden" name="dateenr" value = " <?php echo $DateEnr ?>"

	
				<p>	
					<label class="label300d" for="Nom">Code Etab </label>
					<?php
						if ($id=="ajout")
						{
							echo'<input class="fl-left" type="text" name="codeEtab" size="30" maxlength="30"';
						}
						else
						{
							echo'<input class="fl-left" type="text" disabled  name="codeEtab0" size="30" maxlength="30" value = "'.$codeEtab.'">';
							echo'<input type="hidden" name="codeEtab" value="'.$codeEtab.'">';
						}
					?>	
				</p>	
				<p>	
					<label class="label300d" for="Nom">Nom  </label>
					<input class="fl-left" type="text" name="nomEtab" size="30" maxlength="30" value = " <?php echo $nomEtab ?>">
				</p>	
				
				<p>	
					<label class="label300d" for="Nom">Nom du contact </label>
					<input class="fl-left" type="text" name="nomcontact" size="30" maxlength="30" value = " <?php echo $nomcontactEtab ?>">
				</p>	
				<p>	
					<label class="label300d" for="Nom">MAil contact  </label>
					<input class="fl-left" type="text" name="mailcontact" size="30" maxlength="30" value = " <?php echo $mailContactetab ?>"
				</p>					
				<p>	
					<label class="label300d" for="Nom">Adresse  </label>
					<input class="fl-left" type="text" name="adresse" size="30" maxlength="30" value = " <?php echo $adresseEtab ?>"
				</p>					
				<p>	
					<label class="label300d" for="Nom">CP  </label>
					<input class="fl-left" type="text" name="cp" size="6" maxlength="6" value = " <?php echo $cpEtab ?>"
				</p>					
				<p>	
					<label class="label300d" for="Nom">Ville  </label>
					<input class="fl-left" type="text" name="ville" size="30" maxlength="30" value = " <?php echo $VilleEtab ?>"
				</p>	
				
								
				<p class=centre40>
					<input id="submit" type="submit" name="submit" value="Mettre à jour">
				</p>
				
				
			</form>
		</article>	
		<footer>
			<?php include ('includes/footer.inc'); ?>
		</footer>	
	</body>
</html>			
